
services:
    service_container:
        class: Symfony\Component\DependencyInjection\ContainerInterface
        public: true
        synthetic: true
    App\BarService:
        class: App\BarService
        public: true
        arguments: [!service { class: FooClass }]
    Symfony\Component\DependencyInjection\Tests\Fixtures\Prototype\Foo:
        class: Symfony\Component\DependencyInjection\Tests\Fixtures\Prototype\Foo
        public: true
        tags:
            - { name: t, a: b }
        autowire: true
        autoconfigure: true
        arguments: ['@bar', !tagged_iterator foo, !service { class: Baz }]
    bar:
        class: Symfony\Component\DependencyInjection\Tests\Fixtures\Prototype\Foo
        public: true
        tags:
            - { name: t, a: b }
        autowire: true
        arguments: [null, !tagged_iterator foo, !service { class: Baz }]
        calls:
            - [setFoo, ['@bar']]

